Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZTemplateDigestOperator Class Reference
Template system » Template operators

## Public Member Functions
| __construct ()
| operatorList ()
| operatorTemplateHints ()
| namedParameterPerOperator ()
| namedParameterList ()
| hashTransformation ( $operatorName, &$node, $tpl, &$resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| modify ( $tpl, $operatorName, $operatorParameters, $rootNamespace, $currentNamespace, &$operatorValue, $namedParameters, $placement)

## Public Attributes
| $Crc32Name
| $Md5Name
| $Sha1Name
| $Rot13Name
| $Operators
| The array of operators, used for registering operators. More...

## Detailed Description

Definition at line 20 of file eztemplatedigestoperator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTemplateDigestOperator::__construct | ( |  | ) |

Definition at line 26 of file eztemplatedigestoperator.php.

## Member Function Documentation

## ◆ hashTransformation()

eZTemplateDigestOperator::hashTransformation | ( |  | $operatorName,
|  | & | $node,
|  |  | $tpl,
|  | & | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 97 of file eztemplatedigestoperator.php.

References eZTemplateNodeTool\createCodePieceElement().

## ◆ modify()

eZTemplateDigestOperator::modify | ( |  | $tpl,
|  |  | $operatorName,
|  |  | $operatorParameters,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  | & | $operatorValue,
|  |  | $namedParameters,
|  |  | $placement
| ) |  |

Display the variable.

Definition at line 137 of file eztemplatedigestoperator.php.

References eZSys\ezcrc32().

## ◆ namedParameterList()

eZTemplateDigestOperator::namedParameterList | ( |  | ) |

See eZTemplateOperator::namedParameterList()

Definition at line 92 of file eztemplatedigestoperator.php.

## ◆ namedParameterPerOperator()

eZTemplateDigestOperator::namedParameterPerOperator | ( |  | ) |

Returns
  true to tell the template engine that the parameter list exists per operator type.

Definition at line 84 of file eztemplatedigestoperator.php.

## ◆ operatorList()

eZTemplateDigestOperator::operatorList | ( |  | ) |

Returns the template operators.

Definition at line 44 of file eztemplatedigestoperator.php.

References $Operators.

## ◆ operatorTemplateHints()

eZTemplateDigestOperator::operatorTemplateHints | ( |  | ) |

Definition at line 49 of file eztemplatedigestoperator.php.

## Member Data Documentation

## ◆ $Crc32Name

eZTemplateDigestOperator::$Crc32Name

Definition at line 22 of file eztemplatedigestoperator.php.

## ◆ $Md5Name

eZTemplateDigestOperator::$Md5Name

Definition at line 23 of file eztemplatedigestoperator.php.

## ◆ $Operators

eZTemplateDigestOperator::$Operators

The array of operators, used for registering operators.

Definition at line 176 of file eztemplatedigestoperator.php.

Referenced by operatorList().

## ◆ $Rot13Name

eZTemplateDigestOperator::$Rot13Name

Definition at line 25 of file eztemplatedigestoperator.php.

## ◆ $Sha1Name

eZTemplateDigestOperator::$Sha1Name

Definition at line 24 of file eztemplatedigestoperator.php.

The documentation for this class was generated from the following file:

- eztemplatedigestoperator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.